Bug 836174 - oddjobd-mkhomedir.conf -- unexpected directory permissions with explicit umask
oddjobd-mkhomedir.conf -- unexpected directory permissions with explicit umask
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: oddjob (Show other bugs)
6.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Nalin Dahyabhai
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-28 05:35 EDT by Eugene E
Modified: 2017-09-14 07:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene E 2012-06-28 05:35:43 EDT
Description of problem:
Setting umask in oddjobd-mkhomedir.conf yields only partial results:


Version-Release number of selected component (if applicable):
pam-1.1.1-10.el6_2.1.x86_64
oddjob-0.30-5.el6.x86_64
oddjob-mkhomedir-0.30-5.el6.x86_64


How reproducible: unknown, tested on single system only.


Steps to Reproduce:
1. Install system
2. configure system to use LDAP for account info
3. configure to use sssd & oddjob-mkhomedir
  
Actual results:
Umask setting in oddjob-mkhomedir.conf yields following test results:
0000 drwxr-xr-x.
0007 drwxr-x---.
0017 drwxr-----.
0027 drwxr-x---.
0037 drwxr-----.
0047 drwx--x---.
0057 drwx------.
0067 drwx--x---.
0077 drwx------.
 002 drwxr-xr-x.

Expected results:
002 drwxrwxr-x

Additional info:
The mystery permission inheritance seems to be from /etc/skel. Modifying /etc/skel permissions was a work-around for us to get the desired permissions for home accounts.
Comment 2 Nalin Dahyabhai 2012-07-30 12:10:32 EDT
The permissions on the newly-created files and directories generally mimic those of the source directories in /etc/skel.  The umask controls which permission bits are removed when determining permissions for the newly-created files and directories.

If we set them all to match the umask value (or rather, 0777 with the umask's bits removed), then it wouldn't be possible to vary the permissions of individual files or directories in the skeleton directory.

I'm inclined to mark this won't-fix as a result.
Comment 3 RHEL Product and Program Management 2012-09-07 01:31:14 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.